# `OpenMPI_jll.jl` (v4.1.1+3)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/2af8cd269ad8b5bb3d591f2d5664605772230d14/O/OpenMPI/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.  If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `OpenMPI_jll.jl` have been built from these sources:

* compressed archive: https://download.open-mpi.org/release/open-mpi/v4.1/openmpi-4.1.1.tar.gz (SHA256 checksum: `d80b9219e80ea1f8bcfe5ad921bd9014285c4948c5965f4156a3831e60776444`)
* compressed archive: https://github.com/eschnett/MPIconstants/archive/refs/tags/v1.3.2.tar.gz (SHA256 checksum: `3437eb7913cf213de80cef4ade7d73f0b3adfe9eadabe993b923dc50a21bd65e`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/2af8cd269ad8b5bb3d591f2d5664605772230d14/O/OpenMPI/bundled)

## Platforms

`OpenMPI_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0}` (`aarch64-apple-darwin-libgfortran5`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0}` (`aarch64-linux-gnu-libgfortran3`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0}` (`aarch64-linux-gnu-libgfortran4`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0}` (`aarch64-linux-gnu-libgfortran5`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0}` (`aarch64-linux-musl-libgfortran3`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0}` (`aarch64-linux-musl-libgfortran4`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0}` (`aarch64-linux-musl-libgfortran5`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0}` (`armv6l-linux-musleabihf-libgfortran3`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0}` (`armv6l-linux-musleabihf-libgfortran4`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0}` (`armv6l-linux-musleabihf-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0}` (`armv7l-linux-gnueabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0}` (`armv7l-linux-gnueabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0}` (`armv7l-linux-gnueabihf-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0}` (`armv7l-linux-musleabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0}` (`armv7l-linux-musleabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0}` (`armv7l-linux-musleabihf-libgfortran5`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0}` (`i686-linux-gnu-libgfortran3`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0}` (`i686-linux-gnu-libgfortran4`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0}` (`i686-linux-gnu-libgfortran5`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0}` (`i686-linux-musl-libgfortran3`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0}` (`i686-linux-musl-libgfortran4`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0}` (`i686-linux-musl-libgfortran5`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0}` (`powerpc64le-linux-gnu-libgfortran3`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0}` (`powerpc64le-linux-gnu-libgfortran4`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0}` (`powerpc64le-linux-gnu-libgfortran5`)
* `macOS x86_64 {libgfortran_version=3.0.0}` (`x86_64-apple-darwin-libgfortran3`)
* `macOS x86_64 {libgfortran_version=4.0.0}` (`x86_64-apple-darwin-libgfortran4`)
* `macOS x86_64 {libgfortran_version=5.0.0}` (`x86_64-apple-darwin-libgfortran5`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0}` (`x86_64-linux-gnu-libgfortran3`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0}` (`x86_64-linux-gnu-libgfortran4`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0}` (`x86_64-linux-gnu-libgfortran5`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0}` (`x86_64-linux-musl-libgfortran3`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0}` (`x86_64-linux-musl-libgfortran4`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0}` (`x86_64-linux-musl-libgfortran5`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0}` (`x86_64-unknown-freebsd-libgfortran3`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0}` (`x86_64-unknown-freebsd-libgfortran4`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0}` (`x86_64-unknown-freebsd-libgfortran5`)

## Dependencies

The following JLL packages are required by `OpenMPI_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `ExecutableProduct`: `generate_compile_time_mpi_constants`
* `LibraryProduct`: `libload_time_mpi_constants`
* `LibraryProduct`: `libmpi`
* `ExecutableProduct`: `mpiexec`
